<?php
namespace Magento\Elasticsearch\ElasticAdapter\SearchAdapter\Mapper;

/**
 * Interceptor class for @see \Magento\Elasticsearch\ElasticAdapter\SearchAdapter\Mapper
 */
class Interceptor extends \Magento\Elasticsearch\ElasticAdapter\SearchAdapter\Mapper implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Elasticsearch\ElasticAdapter\SearchAdapter\Query\Builder $queryBuilder, \Magento\Elasticsearch\SearchAdapter\Query\Builder\MatchQuery $matchQueryBuilder, \Magento\Elasticsearch\SearchAdapter\Filter\Builder $filterBuilder)
    {
        $this->___init();
        parent::__construct($queryBuilder, $matchQueryBuilder, $filterBuilder);
    }

    /**
     * {@inheritdoc}
     */
    public function buildQuery(\Magento\Framework\Search\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'buildQuery');
        return $pluginInfo ? $this->___callPlugins('buildQuery', func_get_args(), $pluginInfo) : parent::buildQuery($request);
    }
}
